<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\Design */
/* @var $form yii\widgets\ActiveForm */
// echo '---------------> '.$model->isNewRecord;
?>

<div class="design-form">

    <?php $form = ActiveForm::begin(['options' => ['enctype' => 'multipart/form-data']]); ?>
    
        <div class="row">
            <div class="col-md-6">
                <?= $form->field($model, 'design_name')->textInput(['maxlength' => true]) ?>
            </div>
            <div class="col-md-7">
                <?= $form->field($model, 'colour_idea')->textArea(['maxlength' => true]) ?>
            </div>
            
        </div>
        <style>
            .img-u-bg{
                background-color:  #ff466d ;
                color:white;
                border-radius:12px;
            }
                .btn-save{
                    
                margin-top:20px;
            }
        </style>

        <div class="row img-u-bg">
            <div class="col-md-4">
                <?= $form->field($model, 'design_img')->hiddenInput()->label(false); ?>
                <?= $form->field($fileUpload, 'img')->fileInput(['accept' => 'image/*']) ?>
                <?= !$model->isNewRecord ? Yii::$app->directories->getFiles($model, 'img') : '' ?>
            </div>
            <div class="col-md-4">
                <?= $form->field($model, 'design_file')->hiddenInput()->label(false); ?>
                <?= $form->field($fileUpload, 'file')->fileInput(['accept' => '*']) ?>
                <?= !$model->isNewRecord ? Yii::$app->directories->getFiles($model, 'file') : '' ?>
            </div>
            <div class="col-md-4">
                <?= $form->field($model, 'design_pdf')->hiddenInput()->label(false); ?>
                <?= $form->field($fileUpload, 'pdf')->fileInput(['accept' => 'pdf']) ?>
                <?= !$model->isNewRecord ? Yii::$app->directories->getFiles($model, 'pdf') : '' ?>
            </div>
        </div>

        <div class="form-group">
            <?= Html::submitButton('Save', ['class' => 'btn-save btn btn-success']) ?>
        </div>

    <?php ActiveForm::end(); ?>

</div>
<?= ''// $form->field($model, 'user_id')->textInput() ?>
<?= ''// $form->field($model, 'is_deleted')->textInput() ?>
<?= ''// $form->field($model, 'is_printed')->textInput() ?>
<?= ''// $form->field($model, 'status')->textInput() ?>
<?= ''// $form->field($model, 'created_at')->textInput() ?>
<?= ''// $form->field($model, 'created_by')->textInput() ?>
<?= ''// $form->field($model, 'updated_at')->textInput() ?>
<?= ''// $form->field($model, 'updated_by')->textInput() ?>
