<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\DesignSearch */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="design-search">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
        'options' => [
            'data-pjax' => 1
        ],
    ]); ?>

    <?= $form->field($model, 'id') ?>

    <?= $form->field($model, 'user_id') ?>

    <?= $form->field($model, 'design_name') ?>

    <?= $form->field($model, 'colour_idea') ?>

    <?= $form->field($model, 'is_deleted') ?>

    <?php // echo $form->field($model, 'is_printed') ?>

    <?php // echo $form->field($model, 'status') ?>

    <?php // echo $form->field($model, 'design_img') ?>

    <?php // echo $form->field($model, 'design_file') ?>

    <?php // echo $form->field($model, 'design_pdf') ?>

    <?php // echo $form->field($model, 'created_at') ?>

    <?php // echo $form->field($model, 'created_by') ?>

    <?php // echo $form->field($model, 'updated_at') ?>

    <?php // echo $form->field($model, 'updated_by') ?>

    <div class="form-group">
        <?= Html::submitButton('Search', ['class' => 'btn btn-primary']) ?>
        <?= Html::resetButton('Reset', ['class' => 'btn btn-outline-secondary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
